LSS master/slave
CANopen_301 » Driver » Stack configuration

Specified in standard CiA 305. More...

## Macros

#define | CO_CONFIG_LSS (CO_CONFIG_LSS_SLAVE)
| Configuration of LSS. More...

## Detailed Description

Specified in standard CiA 305.

## Macro Definition Documentation

## CO_CONFIG_LSS

#define CO_CONFIG_LSS (CO_CONFIG_LSS_SLAVE)

Configuration of LSS.

Possible flags, can be ORed:

- CO_CONFIG_LSS_SLAVE - Enable LSS slave
- CO_CONFIG_LSS_SLAVE_FASTSCAN_DIRECT_RESPOND - Send LSS fastscan respond directly from CO_LSSslave_receive() function.
- CO_CONFIG_LSS_MASTER - Enable LSS master
- CO_CONFIG_FLAG_CALLBACK_PRE - Enable custom callback after preprocessing received CAN message. Callback is configured by CO_LSSmaster_initCallbackPre().